Name:           fedora-arm-installer
Version:        1.99.2
Release:        1%{?dist}
Summary:        Writes binary image files to any specified block device

Group:          Applications/System
License:        GPLv2+
Url:            http://fedoraproject.org/wiki/Fedora_ARM_Installer
Source0:        https://git.fedorahosted.org/cgit/fedora-arm-installer.git/snapshot/%{name}-%{version}.tar.xz

BuildArch:      noarch


%description
Allows one to first select a source image (local or remote). The image must be
a binary file containing: [MBR + Partitions + File Systems + Data]. A 
destination block device should then be selected for final installation.


%prep
%setup -q


%build
echo "skipping..."


%install
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}/socs.d
install -pm 644 socs.d/* %{buildroot}%{_datadir}/%{name}/socs.d/
install -d %{buildroot}%{_datadir}/%{name}/boards.d
install -pm 644 boards.d/* %{buildroot}%{_datadir}/%{name}/boards.d/

install -d %{buildroot}%{_bindir}
install -pm 0755 create-install-media %{buildroot}%{_bindir}/
install -pm 0755 download-install-uboot %{buildroot}%{_bindir}/
install -pm 0755 fedora-arm-image-installer %{buildroot}%{_bindir}/

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS README TODO
%{_bindir}/fedora-arm-image-installer
%{_bindir}/download-install-uboot
%{_bindir}/create-install-media
%{_datadir}/%{name}/

%changelog
* Thu Mar 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1.99.2-1
- Update to 1.99.2

* Wed Mar 18 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1.99.1-0.1
- Update to new upstream
